/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "AIfES 2", "index.html", [
    [ "Main page", "index.html", [
      [ "Vocabulary and Abbreviations", "index.html#autotoc_md0", null ],
      [ "Overview (documentation)", "index.html#autotoc_md1", null ],
      [ "Overview (functionality)", "index.html#autotoc_md2", [
        [ "Data types", "index.html#autotoc_md3", null ],
        [ "General", "index.html#autotoc_md4", null ],
        [ "For Inference", "index.html#OverviewInference", null ],
        [ "For Training", "index.html#OverviewTraining", null ]
      ] ],
      [ "Structure and design concepts of AIfES", "index.html#autotoc_md5", null ]
    ] ],
    [ "Tutorial inference F32", "_tutorial_inference_f32.html", [
      [ "Example", "_tutorial_inference_f32.html#autotoc_md6", null ],
      [ "Design the neural network", "_tutorial_inference_f32.html#autotoc_md7", null ],
      [ "Get the pre-trained weights and biases", "_tutorial_inference_f32.html#autotoc_md8", null ],
      [ "Create the neural network in AIfES", "_tutorial_inference_f32.html#autotoc_md9", [
        [ "Declaration and configuration of the layers", "_tutorial_inference_f32.html#autotoc_md10", null ],
        [ "Connection and initialization of the layers", "_tutorial_inference_f32.html#autotoc_md11", null ],
        [ "Print the layer structure to the console", "_tutorial_inference_f32.html#autotoc_md12", null ]
      ] ],
      [ "Perform the inference", "_tutorial_inference_f32.html#autotoc_md13", [
        [ "Allocate and initialize the working memory", "_tutorial_inference_f32.html#autotoc_md14", null ],
        [ "Run the inference", "_tutorial_inference_f32.html#autotoc_md15", null ]
      ] ]
    ] ],
    [ "Tutorial training F32", "_tutorial_training_f32.html", [
      [ "Example", "_tutorial_training_f32.html#autotoc_md16", null ],
      [ "Design the neural network", "_tutorial_training_f32.html#autotoc_md17", null ],
      [ "Create the neural network in AIfES", "_tutorial_training_f32.html#autotoc_md18", [
        [ "Declaration and configuration of the layers", "_tutorial_training_f32.html#autotoc_md19", null ],
        [ "Connection and initialization of the layers", "_tutorial_training_f32.html#autotoc_md20", null ],
        [ "Set the memory for the trainable parameters", "_tutorial_training_f32.html#autotoc_md21", null ],
        [ "Print the layer structure to the console", "_tutorial_training_f32.html#autotoc_md22", null ]
      ] ],
      [ "Train the neural network", "_tutorial_training_f32.html#autotoc_md23", [
        [ "Configure the loss", "_tutorial_training_f32.html#autotoc_md24", null ],
        [ "Configure the optimizer", "_tutorial_training_f32.html#autotoc_md25", null ],
        [ "Initialize the trainable parameters", "_tutorial_training_f32.html#autotoc_md26", null ],
        [ "Allocate and initialize the working memory", "_tutorial_training_f32.html#autotoc_md27", null ],
        [ "Perform the training", "_tutorial_training_f32.html#autotoc_md28", null ]
      ] ],
      [ "Test the trained model", "_tutorial_training_f32.html#autotoc_md29", null ],
      [ "Change working memory", "_tutorial_training_f32.html#autotoc_md30", null ]
    ] ],
    [ "Tutorial to include the CMSIS DSP Library in an Arduino Project", "md__d___projekte__a_if_e_s__git_repos_aifes_int_doc_md_11_tutorial_include_cmsis_arduino.html", [
      [ "Activate CMSIS for your Sketch", "md__d___projekte__a_if_e_s__git_repos_aifes_int_doc_md_11_tutorial_include_cmsis_arduino.html#autotoc_md32", null ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_tutorial_inference_f32.html",
"aimath__f32__default_8h.html#a0e1b0cb1f84a73659b5b61b59045207c",
"structaiopti.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';